Skip to content

upsertPayment

WRITE

Upsert payment.

POST /api/v1/invoicing/upsertPayment
curl -X POST '<your-host>/api/v1/invoicing/upsertPayment' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "paymentType": "Receipt",
    "paymentDate": "string",
    "currencyCode": "string",
    "totalAmount": 0,
    "bankAccount": "string",
    "_operation": "create"
  }'
Response
{
  "id": "string",
  "paymentId": "string"
}

Parameters

ParameterType

Required. 'create' inserts a new record, 'update' modifies the existing record with this id.

"create""update"
min length 1
min length 1
date
"Receipt""Disbursement"
min 0
> 0

Input schema

schema
{
  "type": "object",
  "properties": {
    "paymentType": {
      "type": "string",
      "enum": [
        "Receipt",
        "Disbursement"
      ]
    },
    "customerId": {
      "type": "string"
    },
    "supplierId": {
      "type": "string"
    },
    "paymentDate": {
      "type": "string",
      "format": "date"
    },
    "currencyCode": {
      "type": "string",
      "minLength": 1
    },
    "exchangeRate": {
      "default": 1,
      "type": "number",
      "exclusiveMinimum": 0
    },
    "totalAmount": {
      "type": "number",
      "minimum": 0
    },
    "bankAccount": {
      "type": "string",
      "minLength": 1
    },
    "reference": {
      "type": "string"
    },
    "memo": {
      "type": "string"
    },
    "paymentId": {
      "type": "string"
    },
    "customFields": {},
    "id": {
      "type": "string"
    },
    "_operation": {
      "type": "string",
      "enum": [
        "create",
        "update"
      ],
      "description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
    }
  },
  "required": [
    "paymentType",
    "paymentDate",
    "currencyCode",
    "totalAmount",
    "bankAccount",
    "_operation"
  ]
}